View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000430aMuleTransferpublic2005-05-12 20:422005-07-15 00:32
ReporterGhePeU 
Assigned ToKry 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.0 
Target VersionFixed in VersionSVN 
Summary0000430: Sources order by priority/status
DescriptionWith amule 2.0.0 ordering sources by priority and status is sub-optimal. A4AF sources now are always first, and if a file has got many A4AF it is necessary scroll down many pages before you can see the first "good" sources.
is this intentional? it would be better, imho, if A4AF are listed AFTER all the other sources, so you can see immediately sources with a low QR, that are likely the ones you'll download from in the following minutes/hours.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0000988)
Kry (manager)
2005-05-20 02:19

Will look into it... eventually.
(0000990)
GhePeU (reporter)
2005-05-20 10:00

well, I submitted this bug report because the behaviour changed in the last weeks. The actual behaviour is very annoying, if you are used to check sources. For example, ad the moment I'm downloading two files with many sources in common, and this means that each one has got 0000090:0000250 A4AF sources.
One of them has got 7 active sources, and if I want to see who are the client I'm downloading from, which chunk and how many MB they transfer to me at what speed (all informations useful to estimate the future trend of the download) I have to scroll down page and page with only useless white bars with A4AF on them before I can see something.
(0001005)
Kry (manager)
2005-05-26 07:09

Current CVS should fit your needs. All NNP/QueueFull/A4AF are now sorted AFTER the higher QR ones.
(0001088)
GhePeU (reporter)
2005-06-19 10:21

I'm sorry, I just noticed that the behaviour is not changed in 2.0.3 release.
(0001093)
Kry (manager)
2005-06-21 00:17

CVS != 2.0.3
(0001096)
GhePeU (reporter)
2005-06-21 01:42

http://www.amule.org/wiki/index.php/Changelog_2.0.2 [^]

Kry:
    * Fixed 0000430: "Sources order by priority/status"
(0001135)
Xaignar (manager)
2005-07-15 00:32

On current CVS, the A4AF items are now last when sorted ascending and first when sorted descending. You can grab yourself a CVS snapshot and verify that this is correct.

Cheers,
 Xaignar

- Issue History
Date Modified Username Field Change
2005-05-12 20:42 GhePeU New Issue
2005-05-20 02:14 Kry Status new => assigned
2005-05-20 02:14 Kry Assigned To => Kry
2005-05-20 02:19 Kry Note Added: 0000988
2005-05-20 02:19 Kry Status assigned => acknowledged
2005-05-20 10:00 GhePeU Note Added: 0000990
2005-05-26 07:09 Kry Status acknowledged => resolved
2005-05-26 07:09 Kry Fixed in Version => CVS
2005-05-26 07:09 Kry Resolution open => fixed
2005-05-26 07:09 Kry Note Added: 0001005
2005-06-19 10:21 GhePeU Status resolved => feedback
2005-06-19 10:21 GhePeU Resolution fixed => reopened
2005-06-19 10:21 GhePeU Note Added: 0001088
2005-06-21 00:17 Kry Note Added: 0001093
2005-06-21 01:42 GhePeU Note Added: 0001096
2005-07-15 00:32 Xaignar Status feedback => resolved
2005-07-15 00:32 Xaignar Resolution reopened => fixed
2005-07-15 00:32 Xaignar Note Added: 0001135


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker